# Reference documentation

## File structure

During the installation process, the following files and directories are
created:

- `/etc/OpenAppStack`: directory containing all configuration files that you
  may want to review and edit during normal usage. See the `README.md` file
  inside this directory for more details.

- `/var/lib/OpenAppStack/local-storage`: all application data (e.g., Nextcloud
  files) are stored here.

- `/var/lib/OpenAppStack/rke`: this contains some important files:
  - `cluster.yml` is a configuration file describing the Kubernetes cluster;
    this is used by `rke` to install all Kubernetes components;
  - `kube_config_cluster.yml` contains credentials giving administrator access
    to the Kubernetes cluster using `kubectl`.

  These two files are also copied to your local machine, inside the
  `cluster_data` directory, during installation.

- `/var/lib/OpenAppStack/ssh`: some ssh configuration is stored here, including
  an ssh key that is used by `rke` during cluster installation and upgrades.
  This ssh connection is from the VPS to itself, and the ssh key does not leave
  the VPS.

- `/var/lib/OpenAppStack/source`: here local copies are stored of various git
  repositories that are required during installation.
