# A testing guide and test reporting form for testers of the OpenAppStack project

Great that you want to take OpenAppStack for a test drive.
This tutorial contains instructions to get you going,
some pointers on what we think would be useful to test, and guesses at what results of those tests would be
useful to write down.
At any point please feel invited to test whatever functionality you come across, and reporting whatever you
think is interesting. Our contact details are listed [here](https://openappstack.net/contact.html), and we'll
descibe how to give feedback via our issue tracker at the [end of these instructions](#providing-feedback).

## Installation

First we'd like you to setup an OpenAppStack cluster by yourself, following the
[installation tutorial](https://docs.openappstack.net/en/latest/installation_instructions.html).

## Command line tests

Please run the [command line tests](troubleshooting.md) which checks the overall
functionality of your cluster and include the output in your feedback.

## Nextcloud

### Logging into Nextcloud

Please browse to https://files.$YOURPUBLICDOMAIN and try to log in.
  The username is `admin`. The password was generated as part of the installation process and is stored in the file `clusters/CLUSTER_NAME/secrets/nextcloud_admin_password` in the `openappstack` directory of your provisioning machine (the cluster_data folder was created in the directory where you ran Ansible during the tutorial).

### Creating users

* After logging in to Nextcloud as `admin`, please try to create another Nextcloud user. Ideally, you would create accounts for a few of your coworkers who are willing to try the collaboration features of Nextcloud and OnlyOffice with you.

### Nextcloud client application

* If you feel like it, please try the [Nextcloud desktop client](https://nextcloud.com/clients/), connect it to your OpenAppStack instance, and use it to manage some files.
* If you feel like it, please try the [Nextcloud mobile client](https://nextcloud.com/clients/) for your smartphone, connect it to your OpenAppStack instance, and use it to download and/or open some files, upload a new file, etc.


## OnlyOffice

### Creating a new office document

* From the main Nextcloud webpage, please try to create a new office document, by clicking the round `plus` button near the top of the screen, then picking the `Document` type with the blue icon (third one from below on my screen), and enter a name for it. After that, please try some basic editing of the document, and save it. Maybe check you can open it again afterwards, and that it has the contents that you saved earlier.


### Collaborating on an office document

This part of the test requires the cooperation of another person; feel free to skip it now if that's not convenient at this point.

* Please try to open the same office document from a few different user accounts simultaneously, and let all participants edit the document mercilessly. There are also some collaboration features that you may want to try: on the left of the OnlyOffice screen there are buttons for chat and for text comments.


## Providing feedback

If you have not done already, please create an account on [https://open.greenhost.net](https://open.greenhost.net)
(or login with your existing github account) and [create a new issue](https://open.greenhost.net/openappstack/openappstack/issues/new) using the `Feedback` template.

Thanks a lot for your testing work! We'll use your input to try to improve OpenAppStack.
